/*
 * @file hv_app_OsdFactory.h
 * @brief Header file of osd factory.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================

 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-09-01
 */

#ifndef _HV_APP_OSD_FACTORY_H
#define _HV_APP_OSD_FACTORY_H

#include "hv_mw_OsdEvent.h"

/**
 * @brief 显示工厂老化界面
 */
VOID Hv_App_OsdFactoryAgingEnter(USHORT16 usValue);

/**
 * @brief 退出工厂老化界面
 */
VOID Hv_App_OsdFactoryAgingExit(USHORT16 usValue);

/**
 * @brief 显示工厂菜单
 */
VOID Hv_App_OsdFactoryMenuEnter(VOID);

/**
 * @brief 退出工厂菜单
 */
VOID Hv_App_OsdFactoryMenuExit(VOID);

#endif